algebra-3.1: Constructive abstract algebra

Safe Haskell | None

Numeric.Algebra.Dual.Class

# Documentation

class Distinguished t => Infinitesimal t where Source

Methods

d :: tSource

Instances

Infinitesimal DualBasis |
Infinitesimal DualBasis' |
Rig r => Infinitesimal (Dual r) |
Rig r => Infinitesimal (Dual' r) |
Rig r => Infinitesimal (DualBasis -> r) |
Rig r => Infinitesimal (DualBasis' -> r) |
Infinitesimal a => Infinitesimal (Covector r a) |